[arch-commits] Commit in gcr/repos (6 files)

Jan Steffens heftig at archlinux.org
Wed Apr 5 18:18:10 UTC 2017


    Date: Wednesday, April 5, 2017 @ 18:18:09
  Author: heftig
Revision: 292182

archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64

Added:
  gcr/repos/gnome-unstable-i686/
  gcr/repos/gnome-unstable-i686/10-gcr.conf
    (from rev 292181, gcr/trunk/10-gcr.conf)
  gcr/repos/gnome-unstable-i686/PKGBUILD
    (from rev 292181, gcr/trunk/PKGBUILD)
  gcr/repos/gnome-unstable-x86_64/
  gcr/repos/gnome-unstable-x86_64/10-gcr.conf
    (from rev 292181, gcr/trunk/10-gcr.conf)
  gcr/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 292181, gcr/trunk/PKGBUILD)

-----------------------------------+
 gnome-unstable-i686/10-gcr.conf   |    3 +
 gnome-unstable-i686/PKGBUILD      |   59 ++++++++++++++++++++++++++++++++++++
 gnome-unstable-x86_64/10-gcr.conf |    3 +
 gnome-unstable-x86_64/PKGBUILD    |   59 ++++++++++++++++++++++++++++++++++++
 4 files changed, 124 insertions(+)

Copied: gcr/repos/gnome-unstable-i686/10-gcr.conf (from rev 292181, gcr/trunk/10-gcr.conf)
===================================================================
--- gnome-unstable-i686/10-gcr.conf	                        (rev 0)
+++ gnome-unstable-i686/10-gcr.conf	2017-04-05 18:18:09 UTC (rev 292182)
@@ -0,0 +1,3 @@
+ at users - memlock 1024
+
+# vim:set ft=limits:

Copied: gcr/repos/gnome-unstable-i686/PKGBUILD (from rev 292181, gcr/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD	                        (rev 0)
+++ gnome-unstable-i686/PKGBUILD	2017-04-05 18:18:09 UTC (rev 292182)
@@ -0,0 +1,59 @@
+# $Id$
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.20.0+45+g4708f35
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+url="https://git.gnome.org/browse/gcr"
+arch=(i686 x86_64)
+license=(GPL2)
+depends=(dconf gtk3 libgcrypt p11-kit)
+makedepends=(intltool gobject-introspection python vala libxslt gnome-common git)
+checkdepends=(python2)
+_commit=4708f3562ddf28bf51eb70b9cff548b217370639  # master
+source=("git+https://git.gnome.org/browse/gcr#commit=$_commit"
+        10-gcr.conf)
+sha256sums=('SKIP'
+            '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr \
+    --libexecdir=/usr/lib/gcr \
+    --enable-gtk-doc \
+    --disable-static \
+    --disable-update-mime \
+    --disable-schemas-compile
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  PATH="$srcdir/path:$PATH" dbus-run-session make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+
+  # gcr wants to lock some memory to prevent swapping out private keys
+  # https://bugs.archlinux.org/task/32616
+  # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+  install -Dm644 ../10-gcr.conf "$pkgdir/etc/security/limits.d/10-gcr.conf"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: gcr/repos/gnome-unstable-x86_64/10-gcr.conf (from rev 292181, gcr/trunk/10-gcr.conf)
===================================================================
--- gnome-unstable-x86_64/10-gcr.conf	                        (rev 0)
+++ gnome-unstable-x86_64/10-gcr.conf	2017-04-05 18:18:09 UTC (rev 292182)
@@ -0,0 +1,3 @@
+ at users - memlock 1024
+
+# vim:set ft=limits:

Copied: gcr/repos/gnome-unstable-x86_64/PKGBUILD (from rev 292181, gcr/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD	2017-04-05 18:18:09 UTC (rev 292182)
@@ -0,0 +1,59 @@
+# $Id$
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.20.0+45+g4708f35
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+url="https://git.gnome.org/browse/gcr"
+arch=(i686 x86_64)
+license=(GPL2)
+depends=(dconf gtk3 libgcrypt p11-kit)
+makedepends=(intltool gobject-introspection python vala libxslt gnome-common git)
+checkdepends=(python2)
+_commit=4708f3562ddf28bf51eb70b9cff548b217370639  # master
+source=("git+https://git.gnome.org/browse/gcr#commit=$_commit"
+        10-gcr.conf)
+sha256sums=('SKIP'
+            '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr \
+    --libexecdir=/usr/lib/gcr \
+    --enable-gtk-doc \
+    --disable-static \
+    --disable-update-mime \
+    --disable-schemas-compile
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  PATH="$srcdir/path:$PATH" dbus-run-session make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+
+  # gcr wants to lock some memory to prevent swapping out private keys
+  # https://bugs.archlinux.org/task/32616
+  # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+  install -Dm644 ../10-gcr.conf "$pkgdir/etc/security/limits.d/10-gcr.conf"
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list